commit:     39bfe98f01166aa9200f7452ae57d54e50b2234b
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Oct  3 21:02:30 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Oct  3 21:02:30 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=39bfe98f

dev-libs/gobject-introspection: add 1.86.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/gobject-introspection/Manifest            |  1 +
 .../gobject-introspection-1.86.0.ebuild            | 91 ++++++++++++++++++++++
 2 files changed, 92 insertions(+)

diff --git a/dev-libs/gobject-introspection/Manifest 
b/dev-libs/gobject-introspection/Manifest
index df672af82259..e37410a8962d 100644
--- a/dev-libs/gobject-introspection/Manifest
+++ b/dev-libs/gobject-introspection/Manifest
@@ -1,2 +1,3 @@
 DIST gobject-introspection-1.82.0.tar.xz 1052872 BLAKE2B 
8336ae26d48a71a203655d9d268076f603055ceabb55dbfa676f2c67b4096b83afc106d485dc45d02b3a8be806f9ef50d54806a82e61f2a252ae59543c61e934
 SHA512 
e139fadb4174c72b648914f3774d89fc0e5eaee45bba0c13edf05de883664dad8276dbc34006217bb09871ed4bad23adab51ff232a17b9eb131329b2926cafb7
 DIST gobject-introspection-1.84.0.tar.xz 1080316 BLAKE2B 
c888cc36f980db61bf7da46199fecfbe944034b9ffdf3e6e21cc56b2177c3ece1a0571166ab37c63c6f0d5c80be91963c9e342f5162e2b908838d8eef9e193e3
 SHA512 
764b5071472f93ed62bd64983c16fc4f73d4e20575d31eb475b40f4c6643080249aec4c5e9536d0ade719a99844cefa5a6e902b4d58e5644d0c0793212da3e5b
+DIST gobject-introspection-1.86.0.tar.xz 1083172 BLAKE2B 
425d60c8c4bd582c55030ed91b4c2f3982e3c502da1c6f2579c4cc1e05d82d8a8c9a533af3e4a7ae8f6a031761d763d7f7ad8031e38ae3bd7d2549c9f6bcf7f3
 SHA512 
a9d2edbe1cea710e10ef1ea8059a45cf5689bace43b5d2a6861809e863a6de7114b4763db8df3916ad6202c9967f48f7997acd0810a86e5e88dea7e0be88b585

diff --git a/dev-libs/gobject-introspection/gobject-introspection-1.86.0.ebuild 
b/dev-libs/gobject-introspection/gobject-introspection-1.86.0.ebuild
new file mode 100644
index 000000000000..f8180edbf870
--- /dev/null
+++ b/dev-libs/gobject-introspection/gobject-introspection-1.86.0.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..13} )
+PYTHON_REQ_USE="xml(+)"
+inherit gnome.org meson python-single-r1 xdg
+
+DESCRIPTION="Introspection system for GObject-based libraries"
+HOMEPAGE="https://gi.readthedocs.io/";
+
+LICENSE="LGPL-2+ GPL-2+"
+SLOT="0"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x64-solaris"
+
+IUSE="doctool gtk-doc test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# virtual/pkgconfig needed at runtime, bug #505408
+RDEPEND="
+       >=dev-libs/gobject-introspection-common-${PV}
+       >=dev-libs/glib-2.82.0:2[introspection]
+       dev-libs/libffi:=
+       $(python_gen_cond_dep '
+               dev-python/setuptools[${PYTHON_USEDEP}]
+       ')
+       doctool? (
+               $(python_gen_cond_dep '
+                       dev-python/mako[${PYTHON_USEDEP}]
+                       dev-python/markdown[${PYTHON_USEDEP}]
+               ')
+       )
+       virtual/pkgconfig
+       ${PYTHON_DEPS}
+"
+# Wants real bison, not app-alternatives/yacc
+DEPEND="${RDEPEND}"
+BDEPEND="
+       gtk-doc? (
+               >=dev-util/gtk-doc-1.19
+               app-text/docbook-xml-dtd:4.3
+               app-text/docbook-xml-dtd:4.5
+       )
+       >=dev-build/meson-1.4.0
+       sys-devel/bison
+       app-alternatives/lex
+       test? (
+               x11-libs/cairo[glib]
+               $(python_gen_cond_dep '
+                       dev-python/mako[${PYTHON_USEDEP}]
+                       dev-python/markdown[${PYTHON_USEDEP}]
+               ')
+       )
+"
+
+pkg_setup() {
+       python-single-r1_pkg_setup
+}
+
+src_configure() {
+       local emesonargs=(
+               $(meson_feature test cairo)
+               # Enable building the tests (and installing them) 
unconditionally
+               # for now as a workaround for old gnome-extra/cjs and 
dev-libs/gjs,
+               # see bug #952011.
+               #$(meson_use test tests)
+               -Dtests=true
+               $(meson_feature doctool)
+               #-Dglib_src_dir
+               $(meson_use gtk-doc gtk_doc)
+               #-Dcairo_libname
+               -Dpython="${EPYTHON}"
+               -Dbuild_introspection_data=true
+               #-Dgir_dir_prefix
+       )
+       meson_src_configure
+}
+
+src_install() {
+       meson_src_install
+       python_fix_shebang "${ED}"/usr/bin/
+       python_optimize 
"${ED}"/usr/$(get_libdir)/gobject-introspection/giscanner
+
+       # Prevent collision with gobject-introspection-common
+       rm -v "${ED}"/usr/share/aclocal/introspection.m4 \
+               
"${ED}"/usr/share/gobject-introspection-1.0/Makefile.introspection || die
+       rmdir "${ED}"/usr/share/aclocal || die
+}

Reply via email to